vala-tests r36 - trunk/tests/bugs



Author: malureau
Date: Sat Oct 18 20:47:51 2008
New Revision: 36
URL: http://svn.gnome.org/viewvc/vala-tests?rev=36&view=rev

Log:
Add bug 437431 test

Added:
   trunk/tests/bugs/437431.test   (contents, props changed)
   trunk/tests/bugs/437431.vala

Added: trunk/tests/bugs/437431.test
==============================================================================
--- (empty file)
+++ trunk/tests/bugs/437431.test	Sat Oct 18 20:47:51 2008
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+set -e
+
+SRCDIR=../tests/bugs
+
+if [ "x$VALAC" = "x" ] ; then
+  VALAC=valac
+  SRCDIR=`dirname $0`
+fi
+
+while true ; do
+    case "$1" in
+	--interact) INTERACT=1 ; shift ;;
+	--) shift ; break ;;
+	*) break ;;
+    esac
+done
+
+TESTNAME=`basename $0 .test`
+
+  $VALAC  -o $TESTNAME $SRCDIR/$TESTNAME.vala  $VALAFLAGS
+
+if [ "$?" != "0" ] && [ -n  ]; then
+  echo ""
+  echo "*** WARNING: This vala test was expecting to fail ***"
+  echo ""
+  echo "Visit bug: http://bugzilla.gnome.org/show_bug.cgi?id=437431";
+  exit 1
+fi
+
+true || exit 1
+
+if [ "x1" = "x1" -o "x$INTERACT" = "x1" ] ; then
+  G_DEBUG=fatal_warnings ./$TESTNAME  $@
+else
+  echo ""
+  [ "x1" = "x0" ] && echo "*** WARNING: This vala test is interactive and will not be run (try --interact) ***"
+  [ "x1" = "xno" ] && rm -rf 437431.o
+fi
+

Added: trunk/tests/bugs/437431.vala
==============================================================================
--- (empty file)
+++ trunk/tests/bugs/437431.vala	Sat Oct 18 20:47:51 2008
@@ -0,0 +1,40 @@
+xusing GLib;
+
+public delegate void myCallback();
+
+public class SignalTest3: Object {
+
+	public signal void foo();
+
+	private void foo_helper() {
+		foo();
+	}
+
+	private void hello() {
+		stdout.printf("hello ");
+	}
+
+	private void world() {
+		stdout.printf("world!\n");
+	}
+
+	public void caller(myCallback cb) {
+		cb();
+	}
+
+	public void run() {
+		foo += hello;
+		foo += world;
+
+		caller(foo);
+		caller(foo_helper);
+	}
+
+	static int main(string[] args) {
+		var st = new SignalTest3();
+		st.run();
+
+		return 0;
+	}
+}
+



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]